<?php

class Ivan
{
    static function pathToClass($s)
    {
        $classPath = '';
        $f = strtok(trim($s, '/'), '/');
       
        while ($f) {
            $classPath .= ' ' . $f;
            $f = strtok('/');
        }
       
        return str_replace(
            array(' ', '\\1\\'), array('\\', ''),
            ucwords(str_replace('-', ' 1 ', $classPath))
        );
    }
 
    static function classToPath($s)
    {
        $path = '';
        $f = strtok($s, '\\');
       
        while ($f) {
            $path .= ' ' . $f;
            $f = strtok('\\');
        }
       
        return str_replace(' ', '/', strtolower(
            preg_replace('/([a-z])([A-Z])/', '$1-$2', $path)
        ));
    }
}
